import type { Config } from "tailwindcss";
import flowbitePlugin from 'flowbite/plugin'
export default {
  content: ['./src/**/*.{html,js,svelte,ts}', './node_modules/flowbite-svelte/**/*.{html,js,svelte,ts}'],
  darkMode: 'selector',
  theme: {
    extend: {
      colors: {
        // flowbite-svelte
        primary: {
          50: '#FFF5F2',
          100: '#FFF1EE',
          200: '#FFE4DE',
          300: '#FFD5CC',
          400: '#FFBCAD',
          500: '#FE795D',
          600: '#EF562F',
          700: '#EB4F27',
          800: '#CC4522',
          900: '#A5371B'
        },
        forge: {
          dark: 'rgb(30,31,34)',
          prim: 'rgb(43,45,48)',
          sec: 'rgb(76,77,80)',
          acc: 'rgb(44, 97, 97)',
          active: 'rgb(44, 71, 73)',
          bound: 'rgba(0, 0, 0, 0.29)',
          text: '#dadada',
          text_sec: '#838686',
          text_hint: '#5cc4c4c2',
        }
      }
    }
  },
  plugins: [flowbitePlugin]
} as Config;
